=== modified file 'plugin/rabbitmq/rabbitmq_handler.h'
--- plugin/rabbitmq/rabbitmq_handler.h	2010-04-04 21:11:50 +0000
+++ plugin/rabbitmq/rabbitmq_handler.h	2010-04-07 01:08:35 +0000
@@ -24,6 +24,8 @@
 
 #ifndef PLUGIN_RABBITMQ_RABBITMQ_HANDLER_H
 #define PLUGIN_RABBITMQ_RABBITMQ_HANDLER_H
+
+#include <exception>
 #include <string>
 #include <amqp.h>
 #include <amqp_framing.h>

=== modified file 'plugin/rabbitmq/rabbitmq_log.cc'
--- plugin/rabbitmq/rabbitmq_log.cc	2010-04-06 19:36:33 +0000
+++ plugin/rabbitmq/rabbitmq_log.cc	2010-04-07 01:08:35 +0000
@@ -115,8 +115,8 @@
   free(buffer);
 }
 
-extern RabbitMQLog *rabbitmqLogger; ///< the actual plugin
-extern RabbitMQHandler* rabbitmqHandler; ///< the rabbitmq handler
+static RabbitMQLog *rabbitmqLogger; ///< the actual plugin
+static RabbitMQHandler* rabbitmqHandler; ///< the rabbitmq handler
 
 /**
  * Initialize the rabbitmq logger - instanciates the dependencies (the handler)

=== added directory 'plugin/rabbitmq/tests'
=== added directory 'plugin/rabbitmq/tests/r'
=== added file 'plugin/rabbitmq/tests/r/variables.result'
--- plugin/rabbitmq/tests/r/variables.result	1970-01-01 00:00:00 +0000
+++ plugin/rabbitmq/tests/r/variables.result	2010-04-07 01:08:35 +0000
@@ -0,0 +1,5 @@
+SELECT * FROM data_dictionary.modules WHERE module_name = 'rabbitmq';
+MODULE_NAME	MODULE_VERSION	MODULE_AUTHOR	IS_BUILTIN	MODULE_LIBRARY	MODULE_DESCRIPTION	MODULE_LICENSE
+rabbitmq	0.1	Marcus Eriksson	FALSE	rabbitmq	RabbitMQ Replicator	GPL
+SELECT * FROM data_dictionary.plugins WHERE module_name = 'rabbitmq';
+PLUGIN_NAME	PLUGIN_TYPE	IS_ACTIVE	MODULE_NAME

=== added directory 'plugin/rabbitmq/tests/t'
=== added file 'plugin/rabbitmq/tests/t/variables-master.opt'
--- plugin/rabbitmq/tests/t/variables-master.opt	1970-01-01 00:00:00 +0000
+++ plugin/rabbitmq/tests/t/variables-master.opt	2010-04-07 01:08:35 +0000
@@ -0,0 +1,1 @@
+--plugin-add=rabbitmq --rabbitmq-host=serialcoder --rabbitmq-username=guest --rabbitmq-password=guest

=== added file 'plugin/rabbitmq/tests/t/variables.test'
--- plugin/rabbitmq/tests/t/variables.test	1970-01-01 00:00:00 +0000
+++ plugin/rabbitmq/tests/t/variables.test	2010-04-07 01:08:35 +0000
@@ -0,0 +1,2 @@
+SELECT * FROM data_dictionary.modules WHERE module_name = 'rabbitmq';
+SELECT * FROM data_dictionary.plugins WHERE module_name = 'rabbitmq';

